import { AxiosRequestConfig } from 'axios';
export declare function fetchData(query: string, params: any, publicQuery?: boolean): Promise<any>;
export interface IPaginationMeta {
    totalCount?: number;
    offset: number;
    limit: number;
}
export declare function fetchPaginatedData(query: string, params: any, offset: number, limit: number, publicQuery: boolean): Promise<{
    data: any[];
    meta: IPaginationMeta;
} | undefined>;
export declare function loadActData(query: string, params: any): Promise<any>;
export declare function saveActData(query: string, data: any): Promise<any>;
export declare function removeActData(query: string, params: any): Promise<any>;
export declare function executeApi(executionConfig: AxiosRequestConfig): Promise<any>;
