var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
import { makeStyles, createStyles } from '@material-ui/styles';
var useStyles = makeStyles(function (theme) { return createStyles({
    label: {
        fontSize: '0.8em',
        color: theme.palette.grey[700],
    },
    text: {},
    textImportant: {
        fontWeight: 700,
    },
    inline: {
        display: 'inline-block',
    },
}); });
var DataViewChild = function (props) {
    var label = props.label, className = props.className, inline = props.inline, span = props.span, children = props.children;
    var classes = useStyles();
    if (span) {
        return React.createElement("span", null, label + ": ",
            children);
    }
    else {
        var classNames = inline || className ? { className: (className ? className : '') + (!inline ? '' : ' ' + classes.inline) } : undefined;
        return (React.createElement("div", __assign({}, classNames),
            React.createElement("span", { className: classes.label },
                label,
                " :"),
            " ",
            children));
    }
};
export default DataViewChild;
