import React from 'react';
declare const KamandAutoComplete: React.FunctionComponent<IPropsInput>;
interface IPropsInput {
    value?: any;
    defaultValue?: any;
    name?: string;
    onChange: any;
    label?: string;
    error?: boolean;
    helperText?: string;
    placeholder?: string;
    queryKey: string;
    query: string;
    publicQuery: boolean;
    queryParam: any;
    makeupData: (data: any) => any;
    translation: {
        openText: string;
        closeText: string;
        clearText: string;
        noOptionsText: Node;
    };
    getSuggestionValue: (suggection: any) => string;
    getSuggestionDescription: (suggection: any) => string;
    getSuggestionRow?: (suggection: any) => Node;
    filterValueOptions: (options: any[], inputValue: string) => any[];
    isOptionParent?: (option: any) => boolean;
    filterParentOptions?: (options: any[], parent: any) => any[];
    acceptParent?: boolean;
    addNew?: (value: any, parent: any) => Promise<any>;
    multiple?: boolean;
}
export default KamandAutoComplete;
export declare const AutoCompleteWithAdd: (props: any) => JSX.Element;
