import React from 'react';
import { AppStore } from '../store/appStore';
import { IQueryParams } from '../store/interfaces/dataInterfaces';
export interface IDataOptions {
    key: string;
    query: string;
    queryParams: IQueryParams | ((appStore: AppStore) => any);
    publicQuery: boolean;
    readonly forwardRef?: boolean;
}
declare const withData: (Component: React.FunctionComponent<any>, options: IDataOptions) => ((props: any) => JSX.Element) & {
    displayName: string;
};
export default withData;
