var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React, { useContext } from 'react';
import { observer } from 'mobx-react-lite';
import { AppStoreContext } from '../store/appStore';
import Typography from '@material-ui/core/Typography';
var PageTitle = observer(function (props) {
    var appStore = useContext(AppStoreContext);
    return (React.createElement(Typography, __assign({}, props), appStore.pageTitle));
});
export default PageTitle;
