import { IQueryData, IQueryParams } from '../store/interfaces/dataInterfaces';
export interface IDataOptions {
    key?: string;
    query: string;
    queryParams: IQueryParams | (() => IQueryParams);
    publicQuery: boolean;
    notReady?: boolean | ((queryParams: IQueryParams) => boolean);
}
declare const useKamandData: (options: IDataOptions) => {
    queryData: IQueryData;
    refreshHandler: () => void;
};
export default useKamandData;
