import { Context } from 'react';
import { IUser } from '../api/authApi';
export declare class AuthStore {
    user?: IUser;
    loggedin: boolean;
    token?: string;
    readonly optionData: import("mobx").ObservableMap<string, any>;
    constructor();
    setUser(user: IUser): void;
    clearUser(): void;
    login(username: string, password: string): Promise<void>;
    forgot(username: string): Promise<void>;
    setOptionData(key: string, data: any): void;
    getOptionData(key: string): any;
}
export declare const authStore: AuthStore;
export declare const AuthStoreContext: Context<AuthStore>;
