import React from 'react';
declare type Formats = 'text' | 'date' | 'number' | 'decimal' | 'timestamp' | 'id';
interface IDataViewProps {
    label?: string;
    value: any;
    format: Formats;
    scale?: number;
    important?: boolean;
    className?: string;
    inline?: boolean;
    span?: boolean;
}
declare const DataView: React.FunctionComponent<IDataViewProps>;
export default DataView;
