import React from 'react';
import { TextFieldProps } from '@material-ui/core/TextField';
import { SwitchProps } from '@material-ui/core/Switch';
import { FormFieldProps } from '../hooks/useKamandForm';
export declare const TextKamandField: ({ value, ...props }: ({
    inputProps?: any;
} & TextFieldProps)) => JSX.Element;
export declare const DecimalKamandField: ({ value, inputProps, ...props }: ({
    inputProps?: any;
} & import("@material-ui/core").StandardTextFieldProps) | ({
    inputProps?: any;
} & import("@material-ui/core").FilledTextFieldProps) | ({
    inputProps?: any;
} & import("@material-ui/core").OutlinedTextFieldProps)) => JSX.Element;
export declare const NumberKamandField: ({ value, inputProps, ...props }: ({
    inputProps?: any;
} & import("@material-ui/core").StandardTextFieldProps) | ({
    inputProps?: any;
} & import("@material-ui/core").FilledTextFieldProps) | ({
    inputProps?: any;
} & import("@material-ui/core").OutlinedTextFieldProps)) => JSX.Element;
export declare const DateTimeKamandField: ({ value, inputProps, ...props }: ({
    inputProps?: any;
} & import("@material-ui/core").StandardTextFieldProps) | ({
    inputProps?: any;
} & import("@material-ui/core").FilledTextFieldProps) | ({
    inputProps?: any;
} & import("@material-ui/core").OutlinedTextFieldProps)) => JSX.Element;
export declare const DateKamandField: ({ value, inputProps, ...props }: ({
    inputProps?: any;
} & import("@material-ui/core").StandardTextFieldProps) | ({
    inputProps?: any;
} & import("@material-ui/core").FilledTextFieldProps) | ({
    inputProps?: any;
} & import("@material-ui/core").OutlinedTextFieldProps)) => JSX.Element;
export declare const BooleanKamandField: ({ id, onChange, value, name, label, error, helperText, inputProps, ...props }: {
    id?: string | undefined;
    inputProps?: SwitchProps | undefined;
    label?: string | undefined;
} & FormFieldProps) => JSX.Element;
export declare const SelectKamandField: ({ value, children, inputProps, onChange, name, ...props }: ({
    inputProps?: any;
    children: React.ReactNode;
} & import("@material-ui/core").StandardTextFieldProps) | ({
    inputProps?: any;
    children: React.ReactNode;
} & import("@material-ui/core").FilledTextFieldProps) | ({
    inputProps?: any;
    children: React.ReactNode;
} & import("@material-ui/core").OutlinedTextFieldProps)) => JSX.Element;
