import React from 'react';
declare const KamandStaticAutoComplete: React.FunctionComponent<IPropsInput>;
interface IPropsInput {
    value?: any;
    defaultValue?: any;
    name?: string;
    onChange: any;
    label?: string;
    error?: boolean;
    helperText?: string;
    placeholder?: string;
    queryKey: string;
    query: string;
    publicQuery: boolean;
    queryParam: any;
    translation: {
        openText: string;
        closeText: string;
        clearText: string;
        noOptionsText: string;
    };
    getSuggestionValue: (suggection: any) => string;
    getSuggestionDescription: (suggection: any) => string;
    getSuggestionRow?: (suggection: any) => Node;
    filterValueOptions: (options: any[], inputValue: string) => any[];
    getListSuggestions: () => any[];
    multiple?: boolean;
}
export default KamandStaticAutoComplete;
