import React, { Suspense } from 'react';
import { useInView } from 'react-intersection-observer';
import { CircularProgress } from '@material-ui/core';
var LazyLoadOnView = function (props) {
    var _a = props.LoadingIndicator, LoadingIndicator = _a === void 0 ? DefaultLoadingIndicator : _a;
    var _b = useInView({
        triggerOnce: true,
        // rootMargin: '200px 0px',
        rootMargin: '-70px 0px',
    }), ref = _b[0], inView = _b[1];
    return (React.createElement("div", { ref: ref },
        React.createElement(Suspense, { fallback: React.createElement(LoadingIndicator, null) }, inView ? props.children : null)));
};
export var DefaultLoadingIndicator = function () { return (React.createElement("div", null,
    React.createElement(CircularProgress, null))); };
export default LazyLoadOnView;
