import { PaginatedQueryData } from '../store/appStore';
import { IQueryParams } from '../store/interfaces/dataInterfaces';
export interface IPaginateDataOptions {
    query: string;
    queryParams: IQueryParams | (() => IQueryParams);
    publicQuery: boolean;
    notReady?: boolean | ((queryParams: IQueryParams) => boolean);
}
declare const useKamandPaginated: (options: IPaginateDataOptions) => {
    queryData: PaginatedQueryData | undefined;
    refreshHandler: () => void;
};
export default useKamandPaginated;
