import { useLayoutEffect, useState } from 'react';
export var useWindowSize = function () {
    var _a = useState({ h: 0, w: 0 }), size = _a[0], setSize = _a[1];
    useLayoutEffect(function () {
        function upateSize() {
            setSize({ w: window.innerWidth, h: window.innerHeight });
        }
        if (window) {
            window.addEventListener('resize', upateSize);
            upateSize();
            return function () { return window.removeEventListener('resize', upateSize); };
        }
    }, []);
    return size;
};
