import { observable, action, makeObservable } from 'mobx';
var DataRelation = /** @class */ (function () {
    function DataRelation(data) {
        Object.defineProperty(this, "data", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: observable.array([], { deep: false })
        });
        makeObservable(this, {
            add: action,
            remove: action,
        });
        this.data.replace(data);
    }
    Object.defineProperty(DataRelation.prototype, "add", {
        enumerable: false,
        configurable: true,
        writable: true,
        value: function (d) {
            this.data.push(d);
        }
    });
    Object.defineProperty(DataRelation.prototype, "remove", {
        enumerable: false,
        configurable: true,
        writable: true,
        value: function (index) {
            this.data.splice(index, 1);
        }
    });
    return DataRelation;
}());
export { DataRelation };
