export function mapToFarsi(str) {
    if (!str && str !== 0)
        return str;
    return str.toString().replace(/[1234567890١٢٣٤٥٦٧٨٩٠]/gi, function (e) { var c = e.charCodeAt(0); return String.fromCharCode(c + (c < 60 ? 1728 : 144)); });
}
export function mapToLatin(str) {
    if (!str && str !== 0)
        return str;
    return str.toString().replace(/[۱۲۳۴۵۶۷۸۹۰١٢٣٤٥٦٧٨٩٠]/gi, function (e) { var c = e.charCodeAt(0); return String.fromCharCode(c - (c < 1770 ? 1584 : 1728)); });
}
export function stripAnyThingButDigits(str) {
    if (!str)
        return str;
    return str.toString().replace(/[^1234567890۱۲۳۴۵۶۷۸۹۰١٢٣٤٥٦٧٨٩٠]/gi, '');
}
export function fatrim(str) {
    if (!str)
        return "";
    str = str.replace(/[۱۲۳۴۵۶۷۸۹۰]/gi, function (e) { return String.fromCharCode(e.charCodeAt(0) - 1728); });
    str = str.replace(/[ _\-‌ًٌٍَُِّْٔ ٰٓٔ‍ٕ]/gi, ''); //eerab hame hastand
    str = str.replace(/[آأإء]/gi, 'ا');
    str = str.replace(/[يئى]/gi, 'ی');
    str = str.replace(/[ؤ]/gi, 'و');
    str = str.replace(/[ة]/gi, 'ة');
    str = str.replace(/[ك]/gi, 'ک');
    return str;
}
