export declare function msleep(n: number): Promise<unknown>;
export declare function sleep(ms: number): Promise<unknown>;
export declare function extractFlatMessagesFromError(err: any): string[];
export declare function extractErrorMessage(details: any): any;
export declare function extractArrayError(err: any[]): any;
export declare function extractError(err: any): any;
export declare function readParam(search: string, param: string): string;
export declare function hasRole(user: any, checkingRoles: string | string[]): boolean;
export declare function hash(s: string): number;
/** @private is the given object a Function? */
export declare const isFunction: (obj: any) => obj is Function;
/** @private is the given object an Object? */
export declare const isObject: (obj: any) => obj is Object;
/** @private is the given object an integer? */
export declare const isInteger: (obj: any) => boolean;
/** @private is the given object a string? */
export declare const isString: (obj: any) => obj is string;
/** @private is the given object a NaN? */
export declare const isNaN: (obj: any) => boolean;
/** @private is the given object/value a promise? */
export declare const isPromise: (value: any) => value is PromiseLike<any>;
export declare const hasNonEmptyValue: (obj: any) => boolean;
export declare const toPath: (key: string) => string[];
export declare const clone: (obj: any) => any;
export declare function getIn(obj: any, key: string | string[], def?: any, p?: number): any;
export declare function setIn(obj: any, path: string, value: any): any;
/**
 * Recursively a set the same value for all keys and arrays nested object, cloning
 * @param object
 * @param value
 * @param visited
 * @param response
 */
export declare function setNestedObjectValues<T>(object: any, value: any, visited?: any, response?: any): T;
export declare const parseSearch: (search: string) => {
    [key: string]: string;
};
export declare const calcTotalOffset: (element: any) => number;
